---
Title: About
Date: 2016-08-28
Modified: 2023-09-20
Author: john melesky
category: about
---
Hello, I'm John.

I grew up in the northeast US, migrated to Chicago, then more recently
to Portland, OR, where I've been for the last decade and a half.

![Mt Hood and Trillium Lake, by flickr user [smik67](https://www.flickr.com/photos/smik67/6223213433/), used in accordance with cc-by-nc-md]({static}/images/mthood.jpg)

This is the most recent version of my website, which has a long and
storied history, most of which is best left forgotten. We forget with
such difficulty these days.

Some of my earliest memories are of working with my older sister to
type BASIC programs into our TI 99/4A from a [*Family
Computing*](https://archive.org/details/family-computing) magazine. We
would trade off who was reading out and who was typing in. The
programs were mostly small games, or the sort of short, rotating
animation that would later make a decent GIF.

Enchanted, rather than deterred, by those early programming
experiences, I've tinkered with software ever since, most of that time
in some professional capacity. Let me know if you're [interested in
working with me](/work.html), or for that matter if you're interested
in some small things I've built. I've also been known to speak at
conferences, if that's your thing.

If you wish to get in touch with me, then you can email me at an
address comprised of my first name, an at sign (@), and the domain
name this site is hosted on (a ".org" domain named after a longtime
pseudonym, "phaedrusdeinus"). I don't have a strong history of
correspondence, but I will try to get back to you.


### About this blog

This blog is generated using [Pelican](https://getpelican.com/), a
static site generator. I'm using the
[pelican-render-math](https://github.com/pelican-plugins/render-math)
plugin, which uses [MathJax](https://www.mathjax.org/).

The theme is [pelican-sober](https://github.com/fle/pelican-sober)
with some local changes.

The favicon is an old image from [Gravatar](https://gravatar.com/)
that I've been using for long enough that I no longer recall the
address it was associated with.

Pelican uses
[Python-Markdown](https://python-markdown.github.io/reference/index.html),
and I'm using several included plugins plus
[markdown-captions](https://github.com/evidlo/markdown_captions).

I use emacs, git, [gimp](https://www.gimp.org/), and
[gogs](http://gogs.io/) in the construction and maintenance of the
site.
