---
title: Me, Professionally
date: 2016-07-26
modified: 2023-09-20
author: john melesky
category: about
---

I've been in the industry since before the dot-com boom of the late
nineties (I almost said "late twentieth century" there, but that makes
me sound much older than I'd like to be).

I have a long history of working with large, often unstructured data,
starting with the set of member pages at
[Tripod.com](http://tripod.lycos.com/). I have a background in machine
learning, mostly around document classification, though I'm a quite
behind the current state of the art at this point. I've written a
number of reporting systems, and am comfortable enough with databases
that I spent a few years working as a DBA.

Nowadays, although I have capable technical chops, my strengths lie in
management. In particular, I enjoy growing groups of individuals into
high-performance teams. I pay attention to research, and found the
recent paper on [Developer
Thriving](https://www.pluralsight.com/resource-center/guides/developer-thriving-research-paper)
very insightful.

At the moment, I'm looking for work! If you have need of a manager of
software developers or infrastructure engineers, then I might fit the
bill. Here's a [recent resume]({static}/assets/resume_jmelesky.pdf) (PDF
format), which includes contact information.




