AUTHOR = 'john melesky'
SITENAME = "john's corner of the web"
SITEURL = 'https://phaedrusdeinus.org'

PATH = 'content'
ARTICLE_PATHS = ['blog']
ARTICLE_SAVE_AS = '{date:%Y}/{date:%m}/{date:%d}/{slug}.html'
ARTICLE_URL     = '{date:%Y}/{date:%m}/{date:%d}/{slug}.html'

TAGS_SAVE_AS    = 'tags.html'


TIMEZONE = 'US/Pacific'

DEFAULT_LANG = 'en'

THEME = '/home/jmelesky/code/pelican-sober'

PLUGINS = ['render_math']

MARKDOWN = {
    'extensions': [
        'markdown_captions',
        'extra',
        'codehilite',
        'meta',
        'sane_lists',
        'smarty',
        'legacy_em',
        'legacy_attrs',
    ],
}

# Feed generation is usually not desired when developing
FEED_ALL_ATOM = None
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None

EXTRA_PATH_METADATA = {
    'extra/keybase.txt': {'path': 'keybase.txt'},
    'extra/robots.txt':  {'path': 'robots.txt'},
    'extra/ai.txt':      {'path': 'ai.txt'},
    'extra/favicon.ico': {'path': 'favicon.ico'},
}

STATIC_PATHS = [
    'images',
    'extra/keybase.txt',
    'extra/robots.txt',
    'extra/ai.txt',
    'extra/favicon.ico',
]


SITE_NAV = (
    ('Home', ''),
    ('About', 'pages/about.html'),
    ('Work', 'pages/me-professionally.html'),
    ('Archive', 'archives.html'),
)

# Blogroll
LINKS = ()
# LINKS = (('Pelican', 'https://getpelican.com/'),
#          ('Python.org', 'https://www.python.org/'),
#          ('Jinja2', 'https://palletsprojects.com/p/jinja/'),
#          ('You can modify those links in your config file', '#'),)

# Social widget
SOCIAL = (
    ('Akkoma', 'https://tinylad.social/jmelesky'),
    ('LinkedIn', 'https://www.linkedin.com/in/jmelesky/'),
)

DEFAULT_PAGINATION = 5

# Uncomment following line if you want document-relative URLs when developing
RELATIVE_URLS = True
